Search Unity

  1. We are migrating the Unity Forums to Unity Discussions. On July 12, the Unity Forums will become read-only. On July 15, Unity Discussions will become read-only until July 18, when the new design and the migrated forum contents will go live. Read our full announcement for more information and let us know if you have any questions.

DllNotFoundException: python27

Discussion in 'Formats & External Tools Previews' started by ahmidou, Mar 9, 2020.

  1. ahmidou

    ahmidou

    Joined:
    Sep 17, 2012
    Posts:
    87
    Hi, I've installed the latest python 2.7 and set the python path and I'm getting errors.
    Also the python settings UI is almost empty.
    I'm not sure how conflicting it is, but I also have Anaconda with multiple environments and versions installed.
    Any ideas?
    upload_2020-3-9_16-59-6.png
     
  2. ahmidou

    ahmidou

    Joined:
    Sep 17, 2012
    Posts:
    87
    Anyone??????
     
  3. sersol

    sersol

    Joined:
    Apr 7, 2020
    Posts:
    6
  4. ahmidou

    ahmidou

    Joined:
    Sep 17, 2012
    Posts:
    87
    that's what I did too, and I'm not sure re-installing is going to help here.
    As I said I have multiple python environments and versions installed in Anaconda, and that's the main issue.
    Virtual environments are not supported, so please consider adding this as a feature specially with 3.x DCC support around the corner.
     
  5. iancormier

    iancormier

    Joined:
    Nov 4, 2020
    Posts:
    1
    I am experiencing the exact same issue here. I tried uninstalling all python version from my workstation but no luck so far. Anyone found a fix for this yet?
     
  6. markvi

    markvi

    Joined:
    Oct 31, 2016
    Posts:
    118
    Are you using the latest package version? 4.0.0-exp.5 no longer requires that you install your own Python interpreter, and comes bundled with Python 3.7.
     
    BinaryCats likes this.
  7. rdunnePT

    rdunnePT

    Joined:
    Jun 10, 2021
    Posts:
    2
    Our tools etc in maya work with Python2, is it possible to interact with that if unity is using Python 3.7 now?

    If not do we need to install Python2 for earlier versions or can we use Maya's install?